Bug 45429 - AppCenter update/register does not work after minor update (in postup.sh)
AppCenter update/register does not work after minor update (in postup.sh)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-21 11:32 CEST by Felix Botner
Modified: 2017-10-18 12:02 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 4: Minor Usability: Impairs usability in secondary scenarios
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.229
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2017-09-21 11:32:04 CEST
See also Bug #45328, during the update to 4.3 the system is still a 4.2-x (UCR version etc).

This applies also to the postup and a 

univention-appcenetr update
univention-appcenter register

does not work because only the current (4.2) and maybe the old versions are checked.

So after every minor update, the app cache and probably the app registry is broken.
Comment 1 Dirk Wiesenthal univentionstaff 2017-09-26 11:55:58 CEST
Fixed in
  univention-appcenter 6.0.10-11A~4.2.0.201709261143
Comment 2 Felix Botner univentionstaff 2017-09-28 10:02:38 CEST
(In reply to Dirk Wiesenthal from comment #1)
> Fixed in
>   univention-appcenter 6.0.10-11A~4.2.0.201709261143

why now and not in 4.3-0 ?
Comment 3 Dirk Wiesenthal univentionstaff 2017-10-16 10:31:48 CEST
As discussed, maybe it is possible to test it now by setting UCRVs manually.
Comment 4 Felix Botner univentionstaff 2017-10-16 15:59:35 CEST
OK looks good, during the update next_version from univention-updater.status is used

OK yaml
Comment 5 Arvid Requate univentionstaff 2017-10-18 12:02:48 CEST
<http://errata.software-univention.de/ucs/4.2/199.html>